Device Compatibility

Device display settings

To ensure you get the optimum experience when using Worldpay POS please ensure your Android and iOS device is set to standard display settings.

As part of ensuring that we are able to offer you the best performance from the Worldpay POS app we require that you run an Operating System of a certain level or above. The current minimum supported Operating System versions for Worldpay POS are as below:

Android -  5.0

iOS - 10.0

In order to ensure that everything runs seamlessly when using Worldpay POS we also require that you run the app on one of the below devices:

Android Tablets

  • Samsung Galaxy Tab 3 9.7"
  • Samsung Galaxy Tab 2 9.7"
  • Asus ZenPad 3S 10 9.7"
  • Lenovo Tab 3
  • Lenovo Tab 4 10"
  • Lenovo Tab 4 Plus 10"

Android Smartphones

  • Samsung Galaxy S6 5.1"
  • Samsung Galaxy S7 Edge 5.5"
  • Samsung Galaxy S8 5.8"
  • Google Pixel 2 5"

iPads

  • iPad 9.7''  5th generation
  • iPad mini 4 7.9''
  • iPad Pro 10.5”
  • iPad Pro 12.9”
  • iPad Air 1 9.7''
  • iPad Air 2 9.7''

iPhones

  • iPhone 6s
  • iPhone 7
  • iPhone 8
  • iPhone X 

For any questions on device compatibility or if your app is not working on any of the above listed devices please contact a member of UK Customer Support team. 

Contact us

If you can't find what you're looking for, please contact a member of our UK Customer Support team.

0345 761 62 63